Send case message

Posts a reply to a support case. The customer is notified by email. Requires the CASES_WRITE scope.

POST https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId}/messages

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

caseId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Body parameters

body string required

(length 1–4000)

attachments array of object

No description.

Response 201

Default Response

ok enum required

(one of true)

data object required

No description.

Response 400

Default Response

ok enum required

(one of false)

error string required

No description.

Response 404

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X POST https://api.pandabase.io/v2/core/stores/:storeId/cases/:caseId/messages \  -H "Content-Type: application/json" \  -d '{"body":"string","attachments":[{"attachmentId":"string","filename":"string","mimeType":"string","sizeBytes":0}]}'
Response
{  "ok": true,  "data": {    "id": "cmsg_q1mzj0kxw5h7n4tr3bcfp2v8",    "senderType": "MERCHANT",    "senderId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",    "body": "Thanks for reaching out. Looking into this now.",    "createdAt": "2026-05-14T13:00:00.000Z",    "attachments": []  }}